debug_traceTransaction
API key required. This Polygon Amoy method is documented for keyed private endpoints. It is not available on
/v1/rpc/public. Create an endpoint to get an API key.
Network: Polygon Amoy · Testnet · Chain ID 80002 (0x13882)
Counts as 5 requests. See Request Counting.
Tier: Paid plan required. Not available on Free.
Description
Returns the detailed trace of a transaction execution.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
transactionHash | hex | Yes | Transaction hash |
tracerConfig | object | No | Tracer config |
Request
{
"jsonrpc": "2.0",
"method": "debug_traceTransaction",
"params": [
"0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e",
{
"tracer": "callTracer"
}
],
"id": 1
}Code Examples
curl -X POST https://polygon-amoy-bor-rpc.blockreq.com/v1/rpc/BRQ1P0000000000000000000000000000000000000000000000000000000 \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"debug_traceTransaction","params":["0x02b39a7c1f83eebf04e785ffc31a13543cc77353461e02f30f4ea48ef5db368e",{"tracer":"callTracer"}],"id":1}'